org.apache.sis.metadata.iso.acquisition

## Class DefaultPlatform

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultPlatform

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, Platform

      public class DefaultPlatform
      extends ISOMetadata
      implements Platform

  Designation of the platform used to acquire the dataset. The following properties are mandatory in a well-formed metadata according ISO 19115:
  `MI_Platform` `├─identifier………………` Unique identification of the platform. `│ └─code……………………` Alphanumeric value identifying an instance in the namespace. `├─description……………` Narrative description of the platform supporting the instrument. `└─instrument………………` Instrument(s) mounted on a platform. `├─identifier……` Unique identification of the instrument. `└─type……………………` Name of the type of instrument.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPlatform()` Constructs an initially empty platform.
    `DefaultPlatform(Platform object)` Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultPlatform` | `castOrCopy(Platform object)` Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `Citation` | `getCitation()` Returns the source where information about the platform is described.
    `InternationalString` | `getDescription()` Gets the narrative description of the platform supporting the instrument.
    `Identifier` | `getIdentifier()` Returns the unique identification of the platform.
    `Collection<Instrument>` | `getInstruments()` Gets the instrument(s) mounted on a platform.
    `Collection<ResponsibleParty>` | `getSponsors()` Returns the organization responsible for building, launch, or operation of the platform.
    `void` | `setCitation(Citation newValue)` Sets the source where information about the platform is described.
    `void` | `setDescription(InternationalString newValue)` Sets the narrative description of the platform supporting the instrument.
    `void` | `setIdentifier(Identifier newValue)` Sets the unique identification of the platform.
    `void` | `setInstruments(Collection<? extends Instrument> newValues)` Sets the instrument(s) mounted on a platform.
    `void` | `setSponsors(Collection<? extends ResponsibleParty> newValues)` Sets the organization responsible for building, launch, or operation of the platform.

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPlatform

          public DefaultPlatform()

      Constructs an initially empty platform.

    - #### DefaultPlatform

          public DefaultPlatform(Platform object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(Platform)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultPlatform castOrCopy(Platform object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultPlatform`, then it is returned unchanged.
      - Otherwise a new `DefaultPlatform` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getCitation

          public Citation getCitation()

      Returns the source where information about the platform is described. `null` if unspecified.
      Specified by:
        `getCitation` in interface `Platform`
      Returns:
        source where information about the platform is described, or `null`.

    - #### setCitation

          public void setCitation(Citation newValue)

      Sets the source where information about the platform is described.
      Parameters:
        `newValue` - the new citation value.

    - #### getIdentifier

          public Identifier getIdentifier()

      Returns the unique identification of the platform.
      Specified by:
        `getIdentifier` in interface `Platform`
      Returns:
        unique identification of the platform, or `null`.

    - #### setIdentifier

          public void setIdentifier(Identifier newValue)

      Sets the unique identification of the platform.
      Parameters:
        `newValue` - the new identifier value.

    - #### getDescription

          public InternationalString getDescription()

      Gets the narrative description of the platform supporting the instrument.
      Specified by:
        `getDescription` in interface `Platform`
      Returns:
        narrative description of the platform, or `null`.

    - #### setDescription

          public void setDescription(InternationalString newValue)

      Sets the narrative description of the platform supporting the instrument.
      Parameters:
        `newValue` - the new description value.

    - #### getSponsors

          public Collection<ResponsibleParty> getSponsors()

      Returns the organization responsible for building, launch, or operation of the platform.
      Upcoming API change — generalization
      As of ISO 19115:2014, `ResponsibleParty` is replaced by the `Responsibility` parent interface. This change will be tentatively applied in GeoAPI 4.0.
      Specified by:
        `getSponsors` in interface `Platform`
      Returns:
        organization responsible for building, launch, or operation of the platform.

    - #### setSponsors

          public void setSponsors(Collection<? extends ResponsibleParty> newValues)

      Sets the organization responsible for building, launch, or operation of the platform.
      Upcoming API change — generalization
      As of ISO 19115:2014, `ResponsibleParty` is replaced by the `Responsibility` parent interface. This change will be tentatively applied in GeoAPI 4.0.
      Parameters:
        `newValues` - the new sponsors values;

    - #### getInstruments

          public Collection<Instrument> getInstruments()

      Gets the instrument(s) mounted on a platform.
      Specified by:
        `getInstruments` in interface `Platform`
      Returns:
        instrument(s) mounted on a platform.

    - #### setInstruments

          public void setInstruments(Collection<? extends Instrument> newValues)

      Sets the instrument(s) mounted on a platform.
      Parameters:
        `newValues` - the new instruments values.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.